org.eclipse.viatra.query.runtime.rete.eval

## Class EvaluatorCore.FunctionEvaluatorCore

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.eval.EvaluatorCore
  - - org.eclipse.viatra.query.runtime.rete.eval.EvaluatorCore.FunctionEvaluatorCore

- Enclosing class:
    EvaluatorCore

      public static class EvaluatorCore.FunctionEvaluatorCore
      extends EvaluatorCore

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.viatra.query.runtime.rete.eval.EvaluatorCore

      `EvaluatorCore.FunctionEvaluatorCore, EvaluatorCore.PredicateEvaluatorCore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.eval.EvaluatorCore

      `evaluator, evaluatorNode, logger, runtimeContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionEvaluatorCore(org.apache.log4j.Logger logger, IExpressionEvaluator evaluator, java.util.Map<java.lang.String,java.lang.Integer> parameterPositions, int sourceTupleWidth)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `evaluationKind()` E.g.
    `Tuple` | `tupleFromResult(Tuple incoming, java.lang.Object evaluationresult)`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.eval.EvaluatorCore

      `errorResult, evaluateTerm, init, performEvaluation, prettyPrintTuple`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionEvaluatorCore

          public FunctionEvaluatorCore(org.apache.log4j.Logger logger,
                                       IExpressionEvaluator evaluator,
                                       java.util.Map<java.lang.String,java.lang.Integer> parameterPositions,
                                       int sourceTupleWidth)

  - ### Method Detail

    - #### tupleFromResult

          public Tuple tupleFromResult(Tuple incoming,
                                       java.lang.Object evaluationresult)

      Specified by:
        `tupleFromResult` in class `EvaluatorCore`

    - #### evaluationKind

          protected java.lang.String evaluationKind()

      Description copied from class: `EvaluatorCore`
      E.g. "eval()"
      Specified by:
        `evaluationKind` in class `EvaluatorCore`